#pragma once
#include "misc/singleton/singleton.h"

class midi_sequencer : public singleton_t<midi_sequencer> {
public:
    void init(singleton_initliazer& initliazer) override;
    void process(double sample_rate, uint32_t in_frames);

    const char* get_name() override { return "midi_sequencer"; }
};

DEFINE_SINGLETON_INSTANCE(midi_sequencer)
