#include "export.h"

#include "application/application.h"

core_handle::core_handle() : app_(nullptr) {

}

void core_handle::init_core(const char* runtime_dir) {
    delete app_;

    app_ = new application();
    app_->init(runtime_dir);
}

void core_handle::release_core() {
    if (app_) {
        app_->shutdown();
        delete app_;
        app_ = nullptr;
    }
}
